package traffic.light.trafficlightctrltest;

import traffic.light.IStatemachine;
import traffic.light.ITimerCallback;

public interface ITrafficLightCtrlTestStatemachine extends ITimerCallback,IStatemachine {

	public interface SCInterface {
	
		public boolean isRaisedDisplayRed();
		
		public boolean isRaisedDisplayGreen();
		
		public boolean isRaisedDisplayYellow();
		
		public boolean isRaisedDisplayNone();
		
		public void setSCInterfaceOperationCallback(SCInterfaceOperationCallback operationCallback);
	
	}
	
	public interface SCInterfaceOperationCallback {
	
		public void onTestPassed();
		
		public void onTestFailed();
		
	}
	
	public SCInterface getSCInterface();
	
}
