package traffic.light.trafficlightctrl_generatoracceptor2;

import traffic.light.IStatemachine;
import traffic.light.ITimerCallback;

public interface ITrafficLightCtrl_GeneratorAcceptor2Statemachine extends ITimerCallback,IStatemachine {

	public interface SCITrafficLight {
	
		public boolean getRed();
		
		public void setRed(boolean value);
		
		public boolean getYellow();
		
		public void setYellow(boolean value);
		
		public boolean getGreen();
		
		public void setGreen(boolean value);
		
	}
	
	public SCITrafficLight getSCITrafficLight();
	
	public interface SCInterface {
	
		public boolean isRaisedGoRed();
		
		public void setSCInterfaceOperationCallback(SCInterfaceOperationCallback operationCallback);
	
	}
	
	public interface SCInterfaceOperationCallback {
	
		public void synchronize();
		
		public void onFinished();
		
	}
	
	public SCInterface getSCInterface();
	
}
