package traffic.light.trafficlightctrl;

import java.util.List;
import traffic.light.IStatemachine;
import traffic.light.ITimerCallback;

public interface ITrafficLightCtrlStatemachine extends ITimerCallback,IStatemachine {

	public interface SCITrafficLight {
	
		public boolean getRed();
		
		public void setRed(boolean value);
		
		public boolean getYellow();
		
		public void setYellow(boolean value);
		
		public boolean getGreen();
		
		public void setGreen(boolean value);
		
	}
	
	public SCITrafficLight getSCITrafficLight();
	
	public interface SCInterface {
	
		public boolean isRaisedColor();
		
		public String getColorValue();
		
	public List<SCInterfaceListener> getListeners();
	}
	
	public interface SCInterfaceListener {
	
		public void onColorRaised(String value);
		}
	
	public SCInterface getSCInterface();
	
}
